Skip to main content

Revoke transaction

DELETE https://wallet.paysera.com/rest/v1/transaction/{transactionKey}

Revoke or delete transaction.

Status must be: waiting, waiting_funds, waiting_registration, waiting_password, reserved, or new.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
transactionKeystring✓Transaction key

Example​

Request​

DELETE https://wallet.paysera.com/rest/v1/transaction/{transactionKey}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Transaction revoked successfully
{}